Package com.enonic.xp.content

## Class UpdateMediaParams

- java.lang.Object
- - com.enonic.xp.content.UpdateMediaParams

-     @PublicApi
      public final class UpdateMediaParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateMediaParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `UpdateMediaParams` | `altText​(String altText)` |
    `UpdateMediaParams` | `artist​(String artist)` | Deprecated.
    `UpdateMediaParams` | `artist​(List<String> artist)` |
    `UpdateMediaParams` | `byteSource​(ByteSource value)` |
    `UpdateMediaParams` | `caption​(String caption)` |
    `UpdateMediaParams` | `content​(ContentId value)` |
    `UpdateMediaParams` | `copyright​(String copyright)` |
    `boolean` | `equals​(Object o)` |
    `UpdateMediaParams` | `focalX​(double focalX)` |
    `UpdateMediaParams` | `focalY​(double focalY)` |
    `String` | `getAltText()` |
    `String` | `getArtist()` | Deprecated.
    `List<String>` | `getArtistList()` |
    `ByteSource` | `getByteSource()` |
    `String` | `getCaption()` |
    `ContentId` | `getContent()` |
    `String` | `getCopyright()` |
    `double` | `getFocalX()` |
    `double` | `getFocalY()` |
    `String` | `getMimeType()` |
    `String` | `getName()` |
    `List<String>` | `getTagList()` |
    `String` | `getTags()` | Deprecated.
    `WorkflowInfo` | `getWorkflowInfo()` |
    `int` | `hashCode()` |
    `UpdateMediaParams` | `mimeType​(String value)` |
    `UpdateMediaParams` | `name​(String value)` |
    `UpdateMediaParams` | `tags​(String tags)` | Deprecated.
    `UpdateMediaParams` | `tags​(List<String> tags)` |
    `void` | `validate()` |
    `UpdateMediaParams` | `workflowInfo​(WorkflowInfo workflowInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateMediaParams

          public UpdateMediaParams()

  - ### Method Detail

    - #### content

          public UpdateMediaParams content​(ContentId value)

    - #### name

          public UpdateMediaParams name​(String value)

    - #### mimeType

          public UpdateMediaParams mimeType​(String value)

    - #### byteSource

          public UpdateMediaParams byteSource​(ByteSource value)

    - #### focalX

          public UpdateMediaParams focalX​(double focalX)

    - #### focalY

          public UpdateMediaParams focalY​(double focalY)

    - #### caption

          public UpdateMediaParams caption​(String caption)

    - #### artist

          @Deprecated
          public UpdateMediaParams artist​(String artist)

      Deprecated.

    - #### artist

          public UpdateMediaParams artist​(List<String> artist)

    - #### copyright

          public UpdateMediaParams copyright​(String copyright)

    - #### altText

          public UpdateMediaParams altText​(String altText)

    - #### tags

          @Deprecated
          public UpdateMediaParams tags​(String tags)

      Deprecated.

    - #### tags

          public UpdateMediaParams tags​(List<String> tags)

    - #### workflowInfo

          public UpdateMediaParams workflowInfo​(WorkflowInfo workflowInfo)

    - #### validate

          public void validate()

    - #### getContent

          public ContentId getContent()

    - #### getName

          public String getName()

    - #### getMimeType

          public String getMimeType()

    - #### getByteSource

          public ByteSource getByteSource()

    - #### getFocalX

          public double getFocalX()

    - #### getFocalY

          public double getFocalY()

    - #### getCaption

          public String getCaption()

    - #### getAltText

          public String getAltText()

    - #### getArtistList

          public List<String> getArtistList()

    - #### getArtist

          @Deprecated
          public String getArtist()

      Deprecated.

    - #### getCopyright

          public String getCopyright()

    - #### getTagList

          public List<String> getTagList()

    - #### getTags

          @Deprecated
          public String getTags()

      Deprecated.

    - #### getWorkflowInfo

          public WorkflowInfo getWorkflowInfo()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`